"{ Package: 'cvut:stx/goodies/libsvn' }"

"{ NameSpace: SVN }"

Object subclass:#WCAction
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Working copy'
!


!WCAction class methodsFor:'accessing'!

actionName

    ^self subclassResponsibility

    "Created: / 16-03-2008 / 08:48:47 / janfrog"
!

actionNamed: aString

    | cls |
    cls := self allSubclasses 
            detect:[:cls|cls actionName = aString]
            ifNone:[self error:'No such action: ', aString].
    ^cls new

    "Created: / 16-03-2008 / 08:58:24 / janfrog"
! !

!WCAction methodsFor:'accessing'!

icon

    ^ nil

    "Modified: / 24-06-2009 / 15:07:33 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!WCAction methodsFor:'printing & storing'!

printOn: stream

    ^self class actionName printOn: stream

    "Created: / 16-03-2008 / 09:02:09 / janfrog"
! !

!WCAction methodsFor:'processing'!

processEntry: entry using: processor 
    "
        Double dispath to a processor, passing an entry"
    
    self subclassResponsibility

    "Created: / 27-08-2009 / 08:47:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!WCAction methodsFor:'testing'!

isConflict

    ^false

    "Created: / 17-08-2009 / 19:46:48 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

isDeleted

    ^false

    "Created: / 17-08-2009 / 19:46:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!WCAction class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: SVN__WCAction.st 113 2009-08-28 11:43:01Z vranyj1 '
! !
