"{ Package: 'cvut:stx/goodies/libsvn' }"

LibraryDefinition subclass:#cvut_stx_goodies_libsvn
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!cvut_stx_goodies_libsvn class methodsFor:'description'!

postLoadAction

    NewLauncher 
        addSettingsApplicationByClass: SVN::SettingsApp fullName asSymbol
        withName:'Subversion'
        icon: nil

    "Created: / 24-05-2008 / 01:55:31 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 27-05-2008 / 07:41:29 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

preRequisites
    ^ #(
        #'cvut:stx/goodies/libtool3'    "Tools::SmalltalkDiffTool - referenced by Tools::NewSystemBrowser>>projectMenuSubversionCompareExtensionsInImageWithRevision: "
        #'stx:goodies/sunit'    "TestCase - superclass of SVN::TestCase "
        #'stx:goodies/xml/vw'    "XML::Node - referenced by SVN::WCEntry class>>readFromXml: "
        #'stx:libbasic'    "Object - superclass of SVN::RevisionLogBrowser "
        #'stx:libbasic2'    "UUID - referenced by SVN::RepositoryManager>>workingCopyBase "
        #'stx:libbasic3'    "ChangeSet - referenced by SVN::UpdateWizard::MergePane>>changeSetHolder "
        #'stx:libtool'    "AbstractSettingsApplication - superclass of SVN::SettingsApp "
        #'stx:libtool2'    "MenuEditor - referenced by SVN::IconLibrary class>>initialize "
        #'stx:libview'    "ImageMask - referenced by SVN::IconLibrary class>>question_ov "
        #'stx:libview2'    "Model - superclass of SVN::UpdateWizard "
        #'stx:libwidg2'    "LabelAndIcon - referenced by SVN::CommitWizard>>updateWarning "
    )
! !

!cvut_stx_goodies_libsvn class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        OSProcess
        #'SVN::ActivityNotification'
        #'SVN::Branch'
        #'SVN::BranchQuery'
        #'SVN::Browser'
        #'SVN::Command'
        #'SVN::CompatModeQuery'
        #'SVN::Credentials'
        #'SVN::Dialog'
        #'SVN::Entry'
        #'SVN::Enum'
        #'SVN::Error'
        #'SVN::IconLibrary'
        #'SVN::Property'
        #'SVN::Repository'
        #'SVN::RepositoryConfiguration'
        #'SVN::RepositoryManager'
        #'SVN::Revision'
        #'SVN::SettingsApp'
        #'SVN::Task'
        #'SVN::TestCase'
        #'SVN::WCAction'
        #'SVN::WCActionNotification'
        #'SVN::WCError'
        #'SVN::WorkingCopy'
        #'SVN::XMLObject'
        #'cvut_stx_goodies_libsvn'
        #'SVN::AuthorizationError'
        #'SVN::BranchCommand'
        #'SVN::BranchSelectionDialog'
        #'SVN::CVSTask'
        #'SVN::CommitTests'
        #'SVN::CreateRepositoryCommand'
        #'SVN::CredentialsDialog'
        #'SVN::FileoutLikeTask'
        #'SVN::NodeKind'
        #'SVN::NonExistentURLError'
        #'SVN::ProgressDialog'
        #'SVN::ProgressNotification'
        #'SVN::RepositoryConfigurationDialog'
        #'SVN::RepositoryEntry'
        #'SVN::RevisionDate'
        #'SVN::RevisionHead'
        #'SVN::RevisionLogBrowser'
        #'SVN::RevisionLogEntry'
        #'SVN::RevisionNumber'
        #'SVN::RevisionSelectionDialog'
        #'SVN::Status'
        #'SVN::UnknownError'
        #'SVN::WCActionAdded'
        #'SVN::WCActionConflict'
        #'SVN::WCActionDeleted'
        #'SVN::WCActionMerged'
        #'SVN::WCActionModified'
        #'SVN::WCActionNone'
        #'SVN::WCActionRestored'
        #'SVN::WCActionUpdated'
        #'SVN::WCCommand'
        #'SVN::WCEntry'
        #'SVN::WCEntryInfo'
        #'SVN::Wizard'
        #'SVN::WorkingCopyBrowser'
        #'SVN::WorkingCopyLockedError'
        #'SVN::CatCommand'
        #'SVN::CleanupCommand'
        #'SVN::CommitTask'
        #'SVN::CommitWizard'
        #'SVN::CopyCommand'
        #'SVN::ImportFromCVSTask'
        #'SVN::ListCommand'
        #'SVN::LogCommand'
        #'SVN::MoveCommand'
        #'SVN::NodeKindDir'
        #'SVN::NodeKindFile'
        #'SVN::NodeKindNone'
        #'SVN::NodeKindUnknown'
        #'SVN::StatusAdded'
        #'SVN::StatusConflicted'
        #'SVN::StatusDeleted'
        #'SVN::StatusIgnored'
        #'SVN::StatusIncomplete'
        #'SVN::StatusMissing'
        #'SVN::StatusModified'
        #'SVN::StatusNormal'
        #'SVN::StatusObstructed'
        #'SVN::StatusReplaced'
        #'SVN::StatusUnversioned'
        #'SVN::SyncWithCVSTask'
        #'SVN::UpdateLikeCommand'
        #'SVN::UpdateTask'
        #'SVN::UpdateWizard'
        #'SVN::WCPathCommand'
        #'SVN::AddCommand'
        #'SVN::CheckoutCommand'
        #'SVN::CommitCommand'
        #'SVN::DeleteCommand'
        #'SVN::InfoCommand'
        #'SVN::PropsetCommand'
        #'SVN::RevertCommand'
        #'SVN::StatusCommand'
        #'SVN::UpdateCommand'
    )
!

extensionMethodNames
    ^ #(
        Change isForGeneratedSubject
        Change isMethodPackageChange
        ChangeSet changesForPackage:
        ChangeSet condenseChanges
        ChangeSet condenseChangesForPackage2:
        ChangeSet diffSetsAgainstImage
        Class classFilename
        Class fileOutAsMethodIn:selector:
        Class svnRepository
        Class versionMethodTemplate
        ClassChange isForMeta
        ClassChange nonMetaClassName
        Filename directoryContentsAsFilenamesMatching:
        Filename directoryContentsMatching:
        Metaclass versionMethodTemplate
        Method makeSourceFileAbsolute
        MethodChange isForGeneratedSubject
        MethodChange printOn:
        NewLauncher infoLineTemplate
        NewLauncher updateInfo
        TimestampChange apply
        #'Tools::NewSystemBrowser' classMenuSubversionCommit
        #'Tools::NewSystemBrowser' classMenuSubversionCompareImageWithRevision
        #'Tools::NewSystemBrowser' classMenuSubversionCompareImageWithRevision:
        #'Tools::NewSystemBrowser' classMenuSubversionCompareImageWithRevisionHead
        #'Tools::NewSystemBrowser' classMenuSubversionUpdate
        #'Tools::NewSystemBrowser' projectMenuSubversionBranches
        #'Tools::NewSystemBrowser' projectMenuSubversionBrowseWorkingCopy
        #'Tools::NewSystemBrowser' projectMenuSubversionCommit
        #'Tools::NewSystemBrowser' projectMenuSubversionCommitMode
        #'Tools::NewSystemBrowser' projectMenuSubversionCompareExtensionsInImageWithRevision
        #'Tools::NewSystemBrowser' projectMenuSubversionCompareExtensionsInImageWithRevision:
        #'Tools::NewSystemBrowser' projectMenuSubversionCompareImageWithRevision
        #'Tools::NewSystemBrowser' projectMenuSubversionCompareImageWithRevision:
        #'Tools::NewSystemBrowser' projectMenuSubversionCompareImageWithRevisionHEAD
        #'Tools::NewSystemBrowser' projectMenuSubversionLoadRevision
        #'Tools::NewSystemBrowser' projectMenuSubversionLoadRevision:
        #'Tools::NewSystemBrowser' projectMenuSubversionMergeImageWithRevision
        #'Tools::NewSystemBrowser' projectMenuSubversionMergeImageWithRevision:
        #'Tools::NewSystemBrowser' projectMenuSubversionMergeImageWithRevisionHEAD
        #'Tools::NewSystemBrowser' projectMenuSubversionRemoveWorkingCopy
        #'Tools::NewSystemBrowser' projectMenuSubversionShowRevisionLog
        #'Tools::NewSystemBrowser' projectMenuSubversionUpdate
        #'Tools::NewSystemBrowser' selectedProjectSubversionRepository
        #'Tools::NewSystemBrowser' hasClassesSelectedAndSubversionRepositoryExists
        #'Tools::NewSystemBrowser' hasProjectSelectedSubversionRepositoryExists
        #'Tools::NewSystemBrowser' hasSingleClassAndSubversionRepositoryExists
        #'Tools::NewSystemBrowser' hasSubversionRepositoryFor:
        'Tools::NewSystemBrowser class' classMenuSubversion
        'Tools::NewSystemBrowser class' projectMenuSubversion
        URL isValidSvnRepositoryUrl
        URL printOn:
        UserPreferences svnConfigurations
        UserPreferences svnConfigurations:
        UserPreferences svnEnabled
        UserPreferences svnEnabled:
        UserPreferences svnVerbose
        UserPreferences svnVerbose:
        'ApplicationDefinition class' #'make_dot_proto'
        'ChangeSet class' forPackage:
        'ChangeSet class' forPackage:ignoreAutoloaded:
        'LibraryDefinition class' #'make_dot_proto'
        'ProjectDefinition class' #'additionalRulesSvn_make_dot_proto'
        'ProjectDefinition class' #'additionalTargetsSvn_make_dot_proto'
        'ProjectDefinition class' loadAllClassesAsAutoloaded:
        'ProjectDefinition class' loadAsAutoloaded:
        'ProjectDefinition class' #'make_dot_proto_mappings'
        'ProjectDefinition class' packageDirectory
        'ProjectDefinition class' svnRevision
        'ProjectDefinition class' #'svnRevisionNr_code:'
        'Smalltalk class' fileNameForClass:
        'Smalltalk class' loadPackageWithId:asAutoloaded:
        'Smalltalk class' loadPackageWithId:fromRepositoryAsAutoloaded:
        'Smalltalk class' loadPackageWithId:fromRepositoryAsAutoloaded:usingRepositoryManager:
        #'XML::NodeSet' #'@'
    )
! !

!cvut_stx_goodies_libsvn class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'CTU-FEI'

    "Modified: / 06-04-2008 / 21:20:20 / janfrog"
!

description
    "Return a description string which will appear in vc.def / bc.def"

    ^ 'SubVersion support for Smalltalk/X'

    "Modified: / 06-04-2008 / 21:20:38 / janfrog"
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Jan Vrany 2008'

    "Modified: / 06-04-2008 / 21:20:55 / janfrog"
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X Subversion support'

    "Modified: / 06-04-2008 / 21:21:14 / janfrog"
! !

!cvut_stx_goodies_libsvn class methodsFor:'description - svn'!

svnRevisionNr
    "Return a SVN revision number of myself.
     This number is updated after a commit"

    ^ "$SVN-Revision:"'112'"$"
! !

!cvut_stx_goodies_libsvn class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: stx_goodies_libsvn.st 113 2009-08-28 11:43:01Z vranyj1 '
! !
